# Session Class Reference
[Widely used base classes and interfaces]

Simple static wrapper around session_*() functions. More...

Inheritance diagram for Session:
[legend]

List of all members.

## Static Public Member Functions

static | start ()
static | destroy ()
static | flush ()
static | assign ($var, $val)
static | exist ()
static | get ($var)
static & | getAll ()
static | drop ()
static | dropAll ()
static | isStarted ()
static | arrayAssign ($scope, $array)
| assigns to $_SESSION scope variables defined in given array
static | getName ()
static | getId ()

## Static Private Attributes

static | $isStarted = false

## Detailed Description

Simple static wrapper around session_*() functions.

Definition at line 33 of file Session.class.php.

## Member Function Documentation

static Session::arrayAssign | ( | $ | scope,
|  | $ | array |
| ) |  |  | `[static]`

assigns to $_SESSION scope variables defined in given array

Definition at line 153 of file Session.class.php.

References Assert::isArray().

Here is the call graph for this function:

static Session::assign | ( | $ | var,
|  | $ | val |
| ) |  |  | `[static]`

Exceptions:

  | SessionNotStartedException |

Definition at line 70 of file Session.class.php.

static Session::destroy | ( |  | ) | `[static]`

Exceptions:

  | SessionNotStartedException |

Definition at line 46 of file Session.class.php.

static Session::drop | ( |  | ) | `[static]`

Exceptions:

  | WrongArgumentException |
  | SessionNotStartedException |

Definition at line 118 of file Session.class.php.

Referenced by dropAll().

static Session::dropAll | ( |  | ) | `[static]`

Exceptions:

  | SessionNotStartedException |

Definition at line 133 of file Session.class.php.

References drop().

Here is the call graph for this function:

static Session::exist | ( |  | ) | `[static]`

Exceptions:

  | WrongArgumentException |
  | SessionNotStartedException |

Definition at line 82 of file Session.class.php.

static Session::flush | ( |  | ) | `[static]`

Definition at line 62 of file Session.class.php.

static Session::get | ( | $ | var | ) | `[static]`

Exceptions:

  | SessionNotStartedException |

Definition at line 101 of file Session.class.php.

static& Session::getAll | ( |  | ) | `[static]`

Definition at line 109 of file Session.class.php.

static Session::getId | ( |  | ) | `[static]`

Exceptions:

  | SessionNotStartedException |

Definition at line 178 of file Session.class.php.

static Session::getName | ( |  | ) | `[static]`

Exceptions:

  | SessionNotStartedException |

Definition at line 167 of file Session.class.php.

static Session::isStarted | ( |  | ) | `[static]`

Definition at line 145 of file Session.class.php.

static Session::start | ( |  | ) | `[static]`

Definition at line 37 of file Session.class.php.

## Member Data Documentation

Session::$isStarted = false`[static, private]`

Definition at line 35 of file Session.class.php.

The documentation for this class was generated from the following file:

- core/Base/Session.class.php